INTERFACE
SUBROUTINE SUJBDAT(CDJBTYPE,KPRT,PCOVTPS,PCOVP,PCOVU,PCOVD,PCOVQ,&
 & PCOVO3,KLEV,KNUMB) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMB
CHARACTER(LEN=10) ,INTENT(IN) :: CDJBTYPE
INTEGER(KIND=JPIM),INTENT(IN) :: KPRT
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOVTPS(KLEV+1,KLEV+1,0:KNUMB-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOVP(KLEV,KLEV,0:KNUMB-1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PCOVU(KLEV,KLEV,0:KNUMB-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOVD(KLEV,KLEV,0:KNUMB-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOVQ(KLEV,KLEV,0:KNUMB-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOVO3(KLEV,KLEV,0:KNUMB-1)
INTEGER(KIND=JPIM), PARAMETER :: JPKZ = KIND(ZFAC)
END SUBROUTINE SUJBDAT
END INTERFACE
